﻿#language: ru

Функционал: Использование обработки Перезавешивание тары

Сценарий: Использование обработки Перезавешивание тары
	Дано Я подключаюсь под "milk_prod_Киоск"
	И в поле "Дата" я ввожу текущую дату
	И я нажимаю кнопку выбора у поля "УчетнаяТочка"
	Тогда открылось окно 'Учетные точки'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование' |
		| 'milk_prod_Мойка тары'   |
	И я нажимаю на кнопку с именем 'Выбрать'
	И я нажимаю на кнопку 'Перезавес после мойки'
	Тогда открылось окно 'Перезавес после мойки *: Взвешивание тары'
	И в поле 'ШтрихКод' я ввожу текст '07000000005'
	И я перехожу к следующему реквизиту
	И элемент формы с именем "Тара" стал равен "07000000005"
	И я нажимаю на кнопку 'КомандаКалькуляторНовыйВес'
	Тогда открылось окно 'Калькулятор (сенсор)'
	И я нажимаю на кнопку '0'
	И я нажимаю на кнопку ','
	И я нажимаю на кнопку '8'
	И я нажимаю на кнопку 'КомандаГотово'
	Тогда открылось окно 'Перезавес после мойки *: Взвешивание тары'
	И я нажимаю на кнопку 'КомандаПодтвердить'
	Тогда открылось окно 'Перезавес после мойки *: Взвешивание тары'
	И я нажимаю на кнопку 'КомандаЗакрыть'

Сценарий: Проверка веса в справочнике
	Дано Я переключаюсь на открытый клиент "Администратор"
	И В командном интерфейсе я выбираю 'Нормативно-справочная информация' 'Тары'
	Тогда открылось окно 'Тары'
	И в таблице "Список" я перехожу к строке:
		| 'Тип'      		   | 'Штрих код'   |
		| 'milk_prod_Китаянка' | '07000000005' |
	И в таблице "Список" я выбираю текущую строку
	Тогда открылось окно '07000000005 (Тара)'
	И элемент формы "Вес" стал равен '0,800'
	И я закрыл все окна клиентского приложения

Сценарий: Проверка отображения веса в АРМе
	Дано Я переключаюсь на открытый клиент "milk_prod_Киоск"
	И в поле "Дата" я ввожу текущую дату
	И я нажимаю кнопку выбора у поля "УчетнаяТочка"
	Тогда открылось окно 'Учетные точки'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование' |
		| 'milk_prod_Мойка тары'   |
	И я нажимаю на кнопку с именем 'Выбрать'
	И я нажимаю на кнопку 'Перезавес после мойки'
	Тогда открылось окно 'Перезавес после мойки *: Взвешивание тары'
	И я нажимаю на кнопку 'КомандаКалькуляторНомерТары'
	Тогда открылось окно 'Введите код тары'
	И я нажимаю на кнопку '5'
	И я нажимаю на кнопку 'КомандаГотово'
	Тогда открылось окно 'Тары'
	Тогда таблица "Список" стала равной:
		| 'Штрих код'   |
		| '06000000005' |
		| '07000000005' |
	И в таблице "Список" я перехожу к строке:
		| 'Штрих код'   |
		| '07000000005' |
	И я нажимаю на кнопку с именем 'Выбрать'
	Тогда открылось окно 'Перезавес после мойки *: Взвешивание тары'
	И элемент формы "Тара" стал равен "07000000005"
	И     элемент формы с именем "ВесПоследнееВзвешивание" стал равен '0,8'
	И я закрыл все окна клиентского приложения

Сценарий: Перезавес пустой
	И в поле "Дата" я ввожу текущую дату
	И я нажимаю кнопку выбора у поля "УчетнаяТочка"
	Тогда открылось окно 'Учетные точки'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование' |
		| 'milk_prod_Мойка тары'   |
	И я нажимаю на кнопку с именем 'Выбрать'
	И я нажимаю на кнопку 'Перезавес после мойки'
	Тогда открылось окно 'Перезавес после мойки *: Взвешивание тары'
	И я нажимаю кнопку выбора у поля "Тара"
	Тогда открылось окно 'Тары'
	И в таблице "Список" я перехожу к строке:
		| 'Штрих код'   |
		| '10000000001' |
	И я нажимаю на кнопку с именем 'Выбрать'
	Тогда открылось окно 'Перезавес после мойки *: Взвешивание тары'
	И я нажимаю на кнопку 'КомандаКалькуляторНовыйВес'
	Тогда открылось окно 'Калькулятор (сенсор)'
	И я нажимаю на кнопку '0'
	И я нажимаю на кнопку ','
	И я нажимаю на кнопку '5'
	И я нажимаю на кнопку 'КомандаГотово'
	Тогда открылось окно 'Перезавес после мойки *: Взвешивание тары'
	И я нажимаю на кнопку 'КомандаПодтвердить'
	Тогда открылось окно 'Перезавес после мойки *: Взвешивание тары'
	И я нажимаю кнопку выбора у поля "Тара"
	Тогда открылось окно 'Тары'
	И в таблице "Список" я перехожу к строке:
		| 'Штрих код'   |
		| '10000000001' |
	И я нажимаю на кнопку с именем 'Выбрать'
	Тогда открылось окно 'Перезавес после мойки *: Взвешивание тары'
	И     элемент формы с именем "ВесПоследнееВзвешивание" стал равен '0,5'
	И я закрыл все окна клиентского приложения

Сценарий: Создание новой тары
	И в поле "Дата" я ввожу текущую дату
	И я нажимаю кнопку выбора у поля "УчетнаяТочка"
	Тогда открылось окно 'Учетные точки'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование' |
		| 'milk_prod_Мойка тары'   |
	И я нажимаю на кнопку с именем 'Выбрать'
	И я нажимаю на кнопку 'Перезавес после мойки'
	Тогда открылось окно 'Перезавес после мойки *: Взвешивание тары'
	И в поле 'ШтрихКод' я ввожу текст '10000000002'
	И я перехожу к следующему реквизиту
	И я нажимаю на кнопку 'КомандаДа'
	Тогда открылось окно 'Перезавес после мойки *: Взвешивание тары'
	И я нажимаю на кнопку 'КомандаКалькуляторНовыйВес'
	Тогда открылось окно 'Калькулятор (сенсор)'
	И я нажимаю на кнопку '0'
	И я нажимаю на кнопку ','
	И я нажимаю на кнопку '4'
	И я нажимаю на кнопку 'КомандаГотово'
	Тогда открылось окно 'Перезавес после мойки *: Взвешивание тары'
	И я нажимаю на кнопку 'КомандаПодтвердить'
	Тогда открылось окно 'Перезавес после мойки *: Взвешивание тары'
	И     элемент формы с именем "ВесПоследнееВзвешивание" стал равен '0'
	И     элемент формы с именем "НовыйВесТары" стал равен '0,000'
	И я закрыл все окна клиентского приложения

Сценарий: 02_milk_production.02.020 Закрытие клиента
	И я закрываю сеанс TESTCLIENT

Сценарий: Проверка в справочнике	
	Дано Я переключаюсь на открытый клиент "Администратор"
	И В командном интерфейсе я выбираю 'Нормативно-справочная информация' 'Тары'
	Тогда открылось окно 'Тары'
	И в таблице "Список" я перехожу к строке:
		| 'Тип'         		  | 'Штрих код'   |
		| 'milk_prod_Пустая тара' | '10000000002' |
	И в таблице "Список" я выбираю текущую строку
	Тогда открылось окно '10000000002 (Тара)'
	И элемент формы "Вес" стал равен "0,400"
	И я закрыл все окна клиентского приложения